Skip to content

Set Work Signal State

POST
/work/signals/state

Snooze or dismiss one revenue signal.

No Idempotency-Key, matching the app: the key is derived from the signal and the target state, so it is idempotent by construction. 404 for a signal that is not there.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Snooze or dismiss one revenue signal.

object
action
required
string
Allowed values: snooze dismiss
signalEventId
required
string
>= 1 characters <= 128 characters

Responses

201

Successful Response

object
data
required

One revenue signal after being snoozed or dismissed.

object
duplicate
Any of:
boolean
event
Any of:
object
key
additional properties
any
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string